#if !defined HAVE_COMB_PRINT_H__
#define      HAVE_COMB_PRINT_H__
// This file is part of the FXT library.
// Copyright (C) 2010 Joerg Arndt
// License: GNU General Public License version 3 or later,
// see the file COPYING.txt in the main directory.


#include "fxttypes.h"


// comb/printset.cc:
void print_set(const char *bla, const ulong *x, ulong n, ulong off=0);
void print_set_as_deltaset(const char *bla, const ulong *f, ulong n, ulong N, const char *c01=0);
void print_set1_as_deltaset(const char *bla, const ulong *x, ulong n, ulong N,const char *c01=0);
ulong print_deltaset_as_set(const char *bla, const ulong *x, ulong n, int eq=0);
ulong print_deltaset_as_set1(const char *bla, const ulong *x, ulong n, int eq=0);
void print_deltaset(const char *bla, const ulong *x, ulong n, const char *c01=0);


// comb/printperm.cc:
void print_perm(const char *bla, const ulong *f, ulong n, bool dfz=false);


// comb/printvec.cc:
void print_vec(const char *bla, const ulong *x, ulong n, bool dfz=false);
void print_sign_vec(const char *bla, const ulong *x, ulong n);
void print_sym_vec(const char *bla, const ulong *x, ulong n);


// comb/printmixedradix.cc:
void print_mixedradix(const char *bla, const ulong *f, ulong n, bool dfz=false);

// comb/printgray.cc:
void print_gray(const ulong *f, ulong n);
void print_gray_delta(const ulong *f, ulong n, ulong lb=0);


#endif  // !defined HAVE_COMB_PRINT_H__
